Skip to content
Alchemy Logo

Delegator rewards

This API is in private preview. Target October 2026; timing is subject to change.

Returns a user's delegation and commission reward history.

Coming with HyperCore. This read is documented but is not yet callable.

POST /{apiKey}/info

ParameterTypeRequiredDescription
typestringYesSelects delegatorRewards.
userstringYesMaster or sub-account address.
{
  "type": "delegatorRewards",
  "user": "0x0000000000000000000000000000000000000000"
}

FieldTypeDescription
[]arrayReward records for the requested delegator.
[].timeintegerReward-record timestamp in milliseconds.
[].sourcestringReward category, for example delegation or commission.
[].totalAmountstringReward amount.

[
  {
    "time": 1736726400073,
    "source": "delegation",
    "totalAmount": "0.73117184"
  },
  {
    "time": 1736726400073,
    "source": "commission",
    "totalAmount": "130.76445876"
  }
]
Was this page helpful?